Contents

# DateSerial Function

Returns a Date value for a specified year, month, and day.

### Syntax:

    DateSerial (rok, mesiac, deň)

### Return type:

Dátum

### Parameters:

Rok: Číselná hodnota, ktorá určuje rok. Všetky hodnoty medzi 0 a 99 sú interpretované ako roky 1900-1999. Pre roky mimo tohto rozsahu musíte použiť všetky štyri číslice.

Mesiac: Číselná hodnota určujúca mesiac v danom roku. Povolený rozsah je 1-12.

Deň:Číselná hodnota určujúca deň určeného mesiaca. Povolený rozsah je 1-31. Ak zadáte neexistujúce číslo dňa pre mesiac kratší ako 31 dní, nie je oznámená žiadna chyba.

Funkcia DateSerial vracia počet dní medzi 30. decembrom 1899 a zadaným dátumom. Pomocou tejto funkcie môžete vypočítať rozdiel medzi dvoma dátumami.

The DateSerial function returns the data type Variant with VarType 7 (Date). Internally, this value is stored as a Double value, so that when the given date is 1900-01-01, the returned value is 2. Negative values correspond to dates before December 30, 1899 (not inclusive).

Ak zadaný dátum leží mimo povolený rozsah, LibreOffice Basic vráti chybovú správu.

Ak definuješ funkciu DateValue ako reťazec obsahujúci dátum, funkciu DateValue vyhodnocuje každý parameter (rok, mesiac, deň) ako samostatný číselný výraz.

### Error codes:

5 Neplatné volanie procedúry

### Example:

      Sub ExampleDateSerial
      Dim lDate As Long
      Dim sDate As String
          lDate = DateSerial(1964, 4, 9)
          sDate = DateSerial(1964, 4, 9)
          msgbox lDate REM vracia 23476
          MsgBox sDate ' returns 1964-04-09 in ISO 8601 format
      End Sub

Please support us!